{% extends "/default/default.twig" %}
{% block title %}Dati percorrenza{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/ext_assets/bootstrap-datepicker/datepicker.css" rel="stylesheet">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h1 class="titleHeader">Dati percorrenza</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="form-group col-md-3">
                <label>Data di inizio calcolo</label>
                <input class="form-control datepicker" name="data_start" id="data_start" value="{{data_start_default}}">
            </div>
            <div class="form-group col-md-3">
                <label>Data fine calcolo</label>
                <input class="form-control datepicker" name="data_end" id="data_end" value="{{ data_end_default}}">
            </div>
            <div class="form-group col-md-3">
                <label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>
                <input type="button" class="form-control btn btn-primary" onclick="generaMedia();" value="Elabora">
            </div>
            </form>

        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="col-lg-9 col-md-9 col-sm-9 col-xs-9">
                <div class="panel panel-default" id="dati_percorrenza">

                </div>
            </div>
        </div>
    </div>

{% endblock %}


{% block adding_js %}
    <script src="{{dirDefault}}/ext_assets/bootstrap-datepicker/bootstrap-datepicker.js"></script>
    <script>
        $('.datepicker').datepicker({
            format: 'dd/mm/yyyy'
        });
        generaMedia();

        function generaMedia(){
            var data_start = $("#data_start").val();
            var data_end = $("#data_end").val();
            var request = $.ajax({
                method: "post",
                url: "{{dirDefault}}/statistica/load_dati_percorrenza",
                dataType: "json",
                data: "data_start="+data_start+"&data_end="+data_end
            });
            request.done(function (resp) {
                var content = '';

                    var data_start = resp.data_start;
                    var data_end = resp.data_end;
                    var tot_territori = resp.tot_territori;
                    var tot_rientri = resp.tot_rientri;
                    var giorni = resp.giorni;
                    var media = resp.media;

                    var content =   "<div class='panel-body'>" +
                                        "<div class='col-md-12'>"+
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Data di inizio calcolo</label>" +
                                                "<input class='form-control' value='"+data_start+"'>" +
                                            "</div>" +
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Data fine calcolo</label>" +
                                                "<input class='form-control'  value='"+data_end+"'>" +
                                            "</div>"+
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Totale giorni</label>" +
                                                "<input class='form-control'  value='"+giorni+"'>" +
                                            "</div>" +
                                        "</div>"+
                                        "<div class='col-md-12'>" +
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Numero territori</label>" +
                                                "<input class='form-control' value='"+tot_territori+"'>" +
                                            "</div>" +
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Totale rientri</label>" +
                                                "<input class='form-control'  value='"+tot_rientri+"'>" +
                                            "</div>"+
                                        "</div>"+
                                        "<div class='col-md-12'>" +
                                            "<div class='form-group col-md-3'>" +
                                                "<label>Un territorio lavorato in media ogni </label>" +
                                                "<input class='form-control'  value='"+media+" giorni'>" +
                                            "</div>" +
                                            "</div>" +
                                        "<div class='col-md-12'>" +
                                            "<div class='form-group col-md-12'>" +
                                                "<a href='{{dirDefault}}/statistica/dati_percorrenza/stampa' target='_blank' class='btn btn-primary form-control'>Stampa </a>" +
                                            "</div>" +
                                        "</div>" +
                                    "</div>";

                $("#dati_percorrenza").html(content);
            });
        }
    </script>
{% endblock %}